/* MyFunctionsShared */

#import <Cocoa/Cocoa.h>

@class MyLlave, MyControllerShared, MOEntry;

@interface MyFunctionsShared : NSObject
{
}

+ (void)testPath:(NSString *)aPath;

//+ (void)removeUnusedTracks:(NSMutableDictionary *)dvds progress:(NSTextField *)infoProgress bar:(NSProgressIndicator *)progressBar controller:(MyControllerShared *)controller;
+ (void)removeUnusedCovers:(NSMutableDictionary *)dvds progress:(NSTextField *)infoProgress bar:(NSProgressIndicator *)progressBar;

//+ (void)installSpotlightPlugin;
/*
#ifndef MacAppStore
+ (void)installAmazonpediaWidget;
#endif
*/

+ (BOOL)scale:(NSString *)source maxwidth:(NSInteger)width maxheight:(NSInteger)height quality:(float)quality saveTo:(NSString *)dest rotation:(float)rotationAngle width:(NSInteger *)setWidth height:(NSInteger *)setHeight png:(BOOL)isPNG;
+ (NSBitmapImageRep *)RGBABitmapImageRepWithCImage:(CIImage *) ciImage;

//+ (NSImage *)imageByTrimmingTransparency:(NSImage *)anImage;
+ (NSImage *)trimWhiteImageBorders:(NSImage *)anImage;
+ (NSImage *)imageFromDictionary:(NSDictionary *)aDictionary;
+ (NSImage *)imageForEntry:(MOEntry *)anEntry items:(NSUInteger)numberOfItems;
+ (NSImage *)frameworkImageNamed:(NSString *)aName;
+ (NSImage *)mockCoverWithSize:(NSSize)aSize title:(NSString *)aName;

+ (void)removeOtherProgramSections:(NSMutableString *)aTemplate;
+ (void)translate:(NSMutableString *)workingRepeat HTML:(BOOL)forHTML;
+ (void)expandGenericFieldsInTemplate:(NSMutableString *)aTemplate export:(BOOL)forExport;



+ (NSString *)translateCueCat:(NSString *)cueCatString;

+ (NSString *)decodeCat:(NSString *)toDecode;
+ (NSString *)addCheckSum:(NSString *)ISBN;
+ (NSString *)transformISBNtoEAN:(NSString *)anISBN;
+ (NSString *)transformEANtoISBN:(NSString *)anEAN;
+ (NSString *)transformUPCtoISBN:(NSString *)incomingUPC createMap:(BOOL)askToMap error:(NSError **)anError;
+ (NSString *)flipAuthorFirstLast:(NSString *)anAuthor;


//+ (NSString *)encodeCommonHTMLChars:(NSString *)aString;  //Deprecated
//+ (NSMutableString *)encodeHTML:(id)aString;


+ (void)openPathInDefaultWebBrowser:(NSString *)aFilePath;
+ (NSString *)cleanDeliciousLibraryXML:(NSString *)aString;

//+ (NSString *)zipFileAtPath:(NSString *)aPath;  //Deprecated for NSURL.zip
+ (NSString *)unzipFileAtPath:(NSString *)aPath;

+ (NSString *)starringFromCredits:(NSArray *)sortedCreditArray;

+ (NSString *)runCommand:(NSString *)pathOfCommand withArguments:(NSArray *)someArguments;

+ (NSString *)mountVolumeAtPath:(NSString *)aPath;
+ (NSString *)replaceOldAmazonAssociateIDs:(NSString *)url;

+ (NSImage *)noCoverImageForRect:(NSRect)aRect withText:(NSString *)someText;

+ (void)logToDesktopFile:(NSString *)aString;

#pragma mark - Sound
+ (void)playSoundNamed:(NSString *)aName;

@end


//extern NSString* removeArticleFromString(NSString *aString);
//extern int fastSort(id object1, id object2, void *context);
//extern int fastSortSecondWord(id object1, id object2, void *context);
//extern int fastSortNumber(id object1, id object2, void *context);
//extern int fastSortNumberFromString(id object1, id object2, void *context);
//extern int fastSortDate(id object1, id object2, void *context);
//extern int MFSortCollection(id object1, id object2, void *context);



