/* From Brent Simmons https://github.com/brentsimmons/Evergreen/blob/master/Evergreen/MainWindow/Detail/ArticleRenderer.swift */

function startup() {
	var anchors = document.getElementsByTagName("a");
	for (var i = 0; i < anchors.length; i++) {
		anchors[i].addEventListener("mouseenter", function() { mouseDidEnterLink(this) });
		anchors[i].addEventListener("mouseleave", function() { mouseDidExitLink(this) });
	}
}
function mouseDidEnterLink(anchor) {
	window.webkit.messageHandlers.mouseDidEnter.postMessage(anchor.href);
}
function mouseDidExitLink(anchor) {
	window.webkit.messageHandlers.mouseDidExit.postMessage(anchor.href);
}

/* Gets loaded by the WKWebView addScript: */
startup();
