/* MyMoreDrawer */

#import <Cocoa/Cocoa.h>

@class MyControllerShared, MyInternetSearchPanel;

@interface MyMoreDrawer : NSView
{
	IBOutlet NSTableView *moreTable;
	
	//add panel
	IBOutlet MyControllerShared *controller;
//	IBOutlet NSButton *nextButton;
	//IBOutlet NSButton *backButton;
	IBOutlet NSButton *drawerOpenButton;
	
	//self
	IBOutlet NSTextField *nextResults;
	//IBOutlet NSTextField *backResults;
	IBOutlet NSDrawer *drawer;
	
	//objects
	//IBOutlet MyInternetSearchPanel *internetSearchPanel;
	
	id searchSite;
		
	NSMutableArray *titles;
	BOOL rowChanging, waitingForSelection, addingMoreInfo, closeAfterSelection; //isAmazonSearchSite;
    NSInteger addSelection;
}

//- (IBAction)doubleClickConfirm:(id)sender;

//-(IBAction)backResults:(id)sender;
-(IBAction)nextResults:(id)sender;
- (void)changingTo:(NSInteger)number;
- (void)closeDrawer;
- (void)loadList;


- (void)updatePossibleMoreResults:(NSArray *)names;
- (void)selectResultsFromPlugin:(NSArray *)names;
- (void)setClosesAfterSelection;
- (void)clear;
- (void)setSelection:(NSInteger)number;

- (void)setSearchSite:(id)aSearchSite;
	
@end
